Subject: bug#35224: [PATCH] include indentation size in .dir-locals

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Apr 2019 16:30:43 +0300

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Thu, 11 Apr 2019 11:58:37 +0100
> Cc: [email-masked]
> 
> IMO, that's a bug in the configuration of those users because they're
> overriding how cc-mode works, and the cc-mode manual describes in detail
> the various ways to customise indentation.  So I don't see a need to
> change the Emacs dir-locals-file to accommodate this use-case.
> 
> But that's just one opinion, and I'm not familiar with prevailing policy
> on what to add to the Emacs dir-locals-file.

I don't think we have any definitive policy, but FWIW, I agree with
Basil on this one.

Does anyone else have an opinion?